Spigot AdvancedSlabs | Microblocks 1.11.0-SNAPSHOT

Create slabs of any type and height | Moving Platforms

  1. Seems broken in 1.11, error below:

    16:55:52 [SEVERE] [AdvancedSlabs] This plugin is currently not compatible with this server version (v1_11_R1)
    16:55:52 [SEVERE] Error occurred while enabling AdvancedSlabs v1.7.2 (Is it up to date?)
    16:55:52 java.lang.RuntimeException: Incompatible Server Version
    16:55:52 at org.inventivetalent.advancedslabs.EntityManager.<init>(EntityManager.java:57) ~[?:?]
    16:55:52 at org.inventivetalent.advancedslabs.AdvancedSlabs.onEnable(AdvancedSlabs.java:155) ~[?:?]
    16:55:52 at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:271) ~[spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at us.Myles.PWP.TransparentListeners.PerWorldPluginLoader.enablePlugin(PerWorldPluginLoader.java:145) [PerWorldPlugins.jar:?]
    16:55:52 at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at org.bukkit.craftbukkit.v1_11_R1.CraftServer.enablePlugin(CraftServer.java:375) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at org.bukkit.craftbukkit.v1_11_R1.CraftServer.enablePlugins(CraftServer.java:325) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at net.minecraft.server.v1_11_R1.MinecraftServer.t(MinecraftServer.java:419) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at net.minecraft.server.v1_11_R1.MinecraftServer.l(MinecraftServer.java:380) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at net.minecraft.server.v1_11_R1.MinecraftServer.a(MinecraftServer.java:335) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at net.minecraft.server.v1_11_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at net.minecraft.server.v1_11_R1.MinecraftServer.run(MinecraftServer.java:542) [spigot-1.11.jar:git-Spigot-f950f8e-7f31326]
    16:55:52 at java.lang.Thread.run(Unknown Source) [?:1.8.0_111]
     
    • Agree Agree x 1
  2. Will this plugin be updated to 1.11 soon?
     
  3. I think no :(
     
  4. As a developer, may I know that, how do you keep your falling sand / falling block entity unbreakable even if it is inside a block?
    My falling sand / block entities always breaks when they are inside blocks :\.
    Thanks.
     
  5. Code (Text):
    6:55:52 [SEVERE] [AdvancedSlabs] This plugin is currently not compatible with this server version (v1_11_R1)
    16:55:52 [SEVERE] Error occurred while enabling AdvancedSlabs v1.7.2 (Is it up to date?)
    16:55:52 java.lang.RuntimeException: Incompatible Server Version
     
  6. As far as I know it is a falling block riding a shulker, but maybe I'm wrong.
     
  7. please update for 1.11.2?
     
    • Like Like x 1
  8. Thank you for the update @inventivetalent. Hope you'll appreciate the donation.
     
    • Like Like x 1
  9. Thanks! I certainly do <3
     
  10. Please implement compatibility with ClearLag.
     
  11. And players can damage and kill this block. However, it does not disappear visually.
     
  12. Very, very cool Plugin idea, but you can kill the Skulker, and thats very bad tho.
     
  13. Does this supports ViaRewind and ViaBackwards?

    I'm using a 1.12.2 server but I'm letting 1.8 and 1.7 players to join
     
  14. Well lets think here, guess when shulkers were added ProMo. That will answer your question.
     
    • Like Like x 1
  15. Nope, it didn't answer my question.
     
    • Funny Funny x 1